# dask.array.fliplr

dask.array.fliplr(m)

  Reverse the order of elements along axis 1 (left/right).

  This docstring was copied from numpy.fliplr.

  Some inconsistencies with the Dask version may exist.

  For a 2-D array, this flips the entries in each row in the left/right direction. Columns are preserved, but appear in a different order than before.

  Parameters:
    m array_like

      Input array, must be at least 2-D.

  Returns:
    f ndarray

      A view of m with the columns reversed. Since a view is returned, this operation is \(\mathcal O(1)\).

  See also

  `flipud`

    Flip array in the up/down direction.

  `flip`

    Flip array in one or more dimensions.

  `rot90`

    Rotate array counterclockwise.

  Notes

  Equivalent to `m[:,::-1]` or `np.flip(m, axis=1)`. Requires the array to be at least 2-D.

  Examples

      >>> import numpy as np
      >>> A = np.diag([1.,2.,3.])
      >>> A
      array([[1.,  0.,  0.],
             [0.,  2.,  0.],
             [0.,  0.,  3.]])
      >>> np.fliplr(A)
      array([[0.,  0.,  1.],
             [0.,  2.,  0.],
             [3.,  0.,  0.]])

      >>> rng = np.random.default_rng()
      >>> A = rng.normal(size=(2,3,5))
      >>> np.all(np.fliplr(A) == A[:,::-1,...])
      True